<?php
/**
 * $Horde: orator/presentation.php,v 1.10 2005/01/03 14:35:23 jan Exp $
 *
 * Copyright 2001-2005 Steve Bower, <steve@alcyon.net>
 * Copyright 2001-2005 Charles J. Hagenbuch, <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information. If you did
 * not receive this file, see http://www.horde.org/asl.php.
 */

@define('ORATOR_BASE', dirname(__FILE__));
require_once ORATOR_BASE . '/lib/base.php';

$p = Util::getFormData('p');
if (!isset($p)) {
    $p = 'example';
}

$presobj = &new Presentation();
if ($presobj->load($p) == -1) {
    Horde::fatal(PEAR::raiseError($presobj->last_error()), __FILE__, __LINE__);
}

$pres = $presobj->get_pres_info();

$s = Util::getFormData('s', 0);
if ($s >= sizeof($pres['slides'])) {
    $s = 0;
} else {
    $s = intval($s);
}

$presentors = '';
foreach ($pres['presentors'] as $presentor) {
    $presentors .= $presentor['name'] . ', ';
}
$presentors = substr($presentors, 0, -2);

require ORATOR_TEMPLATES . '/presentation/frames.inc';
