<?php
if (isset($language)) {
    header('Content-type: text/html; charset=' . NLS::getCharset());
    header('Vary: Accept-Language');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<!--          Orator: Copyright 2000-2004, The Horde Project.            -->
<!-- Horde Project: http://horde.org/ | Orator: http://horde.org/orator/ -->
<!--          Horde Licenses: http://www.horde.org/licenses/             -->
<?php echo !empty($language) ? '<html lang="' . strtr($language, '_', '-') . '">' : '<html>' ?>
<head>
<?php

$page_title = $GLOBALS['registry']->get('name');
if (!empty($GLOBALS['title'])) $page_title .= ' :: ' . $GLOBALS['title'];
if (!empty($GLOBALS['refresh_time']) && ($GLOBALS['refresh_time'] > 0) && !empty($GLOBALS['refresh_url'])) {
    echo '<meta http-equiv="refresh" content="' . htmlspecialchars($GLOBALS['refresh_time']) . ';url=' . htmlspecialchars($GLOBALS['refresh_url']) . '" />';
}

?>
<title><?php echo $page_title ?></title>
<?php echo Horde::stylesheetLink('orator', '', false) ?>
</head>

<body<?php if (Util::nonInputVar('bodyClass')) echo ' class="' . Util::nonInputVar('bodyClass') . '"' ?>>
